# Generated from so-pretty-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name so-pretty

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: SoPretty print anything
License: MIT
URL: http://gitlab.com/brettnak/pretty
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(awesome_print)
BuildArch: noarch

%description
A gem to pretty print anything.  Currently supports input formats:
- ruby (.inspect formatted)
- yaml
- json
And will auto-detect input type, though you can force detection.
Outputs yaml by default, but can output ruby, yaml, or json.  Input streams
or files may be compressed with zlib/deflate, however, gzip is not currently
supported.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/so-pretty
%{_bindir}/sp
%{gem_instdir}/.
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/so-pretty.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.1-1
- Initial package
